#
# spec file for package python3-django-environ
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-django-environ
Version:        0.4.0
Release:        2.7
Summary:        12factor inspired environment variables in Django setup
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/joke2k/django-environ
Source:         https://files.pythonhosted.org/packages/source/d/django-environ/django-environ-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Django
BuildRequires:  python3-six
Requires:       python3-Django
Requires:       python3-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Django-environ allows you to utilize 12factor inspired environment variables to configure your Django application.

%prep
%setup -q -n django-environ-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE.txt

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 12 2016 arun@gmx.de
- initial version
